This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 220809 - Missing path in /etc/fonts/fonts.conf
Missing path in /etc/fonts/fonts.conf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: fontconfig (Show other bugs)
6
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-27 06:25 EST by Axel Straschil
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: f7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-25 20:49:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Axel Straschil 2006-12-27 06:25:45 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de; rv:1.8.0.9) Gecko/20061219 Fedora/1.5.0.9-1.fc6 Firefox/1.5.0.9 pango-text

Description of problem:
gtk dependig wireshark-gnome-0.99.4-1.fc6 could not start becouse no fonts are found. fc-cache cant find fonts becouse missing entry <dir>/usr/share/X11/fonts</dir> in /etc/fonts/fonts.conf.

Version-Release number of selected component (if applicable):
fontconfig-2.4.1-3.fc6

How reproducible:
Always


Steps to Reproduce:
1. Default Installation without X
2. yum install wireshark-gnome
3. install some fonts
4. yum install fontconfig
5. fc-cache -v

Actual Results:


Expected Results:


Additional info:
Comment 1 Behdad Esfahbod 2006-12-28 01:08:48 EST
So, you didn't install any font packages?
Comment 2 Axel Straschil 2006-12-28 03:46:59 EST
Hi!

In "3. install some fonts" I was installing some Fonts:

rpm -q -a | grep font
xorg-x11-font-utils-7.1-2
chkfontpath-1.10.1-1.1
xorg-x11-fonts-ISO8859-1-75dpi-7.1-2
xorg-x11-fonts-ISO8859-15-75dpi-7.1-2
fontconfig-2.4.1-3.fc6
libXfont-1.2.2-1.fc6
libXfontcache-1.0.2-3.1
xorg-x11-fonts-base-7.1-2
xorg-x11-fonts-100dpi-7.1-2
xorg-x11-fonts-75dpi-7.1-2
xorg-x11-fonts-misc-7.1-2
xorg-x11-fonts-truetype-7.1-2
libfontenc-1.0.2-2.1
xorg-x11-fonts-ISO8859-15-100dpi-7.1-2
xorg-x11-fonts-ISO8859-1-100dpi-7.1-2

Lg, AXEL.
Comment 3 Behdad Esfahbod 2006-12-30 13:22:23 EST
What are the <dir> entries in your /etc/fonts/fonts.conf?  Are all of those
empty?  Ok, I think this is the problem, in fonts.conf, there is
/usr/share/X11/fonts/OTF, while the fonts are in /usr/share/X11/fonts/TTF.  Can
you confirm this?
Comment 4 Axel Straschil 2007-01-02 02:31:29 EST
Hello!

ls -l /usr/share/X11/fonts
total 104
drwxr-xr-x 2 root root 20480 Oct 25 09:49 100dpi
drwxr-xr-x 2 root root 20480 Oct 25 09:49 75dpi
drwxr-xr-x 3 root root  4096 Oct 25 10:01 encodings
drwxr-xr-x 2 root root 20480 Oct 25 10:01 misc
drwxr-xr-x 2 root root  4096 Oct 25 09:59 TTF
drwxr-xr-x 2 root root  4096 Oct 25 09:59 Type1
drwxr-xr-x 2 root root  4096 Oct 25 09:45 util


grep '<dir>' /etc/fonts/fonts.conf:
        <dir>/usr/share/fonts</dir>
        <dir>/usr/share/X11/fonts/Type1</dir> <dir>/usr/share/X11/fonts/OTF</dir>
        <dir>~/.fonts</dir>

The entry <dir>/usr/share/fonts</dir> was inserted by me by hand.

ls /usr/share/fonts /usr/share/X11/fonts/Type1 /usr/share/X11/fonts/OTF ~/.fonts
ls: /usr/share/X11/fonts/OTF: No such file or directory
/home/tunetz/axestr/.fonts:
fonts.dir

/usr/share/fonts:
bitmap-fonts  bitstream-vera  default  dejavu-lgc  mathml

/usr/share/X11/fonts/Type1:
c0419bt_.afm  c0632bt_.pfb  courbi.afm   l047013t.afm  l048013t.pfa 
l049016t.afm  UTB_____.pfa
c0419bt_.pfb  c0633bt_.afm  courbi.pfa   l047013t.pfa  l048016t.afm 
l049016t.pfa  UTI_____.afm
c0582bt_.afm  c0633bt_.pfb  courb.pfa    l047016t.afm  l048016t.pfa 
l049033t.afm  UTI_____.pfa
c0582bt_.pfb  c0648bt_.afm  couri.afm    l047016t.pfa  l048033t.afm 
l049033t.pfa  UTRG____.afm
c0583bt_.afm  c0648bt_.pfb  couri.pfa    l047033t.afm  l048033t.pfa 
l049036t.afm  UTRG____.pfa
c0583bt_.pfb  c0649bt_.afm  cour.pfa     l047033t.pfa  l048036t.afm  l049036t.pfa
c0611bt_.afm  c0649bt_.pfb  cursor.pfa   l047036t.afm  l048036t.pfa  UTB_____.afm
c0611bt_.pfb  cour.afm      fonts.dir    l047036t.pfa  l049013t.afm  UTBI____.afm
c0632bt_.afm  courb.afm     fonts.scale  l048013t.afm  l049013t.pfa  UTBI____.pfa


Lg, AXEL.
Comment 5 Behdad Esfahbod 2007-01-12 15:59:10 EST
Fixed in rawhide.  Not sure if we want to push a FC6 update just for this.

Note You need to log in before you can comment on or make changes to this bug.